import request from '@/utils/request'

// 查询继续教育培训计划列表
export function listTraining(query) {
  return request({
    url: '/jxjy/Training/list',
    method: 'get',
    params: query
  })
}

// 查询继续教育培训计划详细
export function getTraining(TrainId) {
  return request({
    url: '/jxjy/Training/' + TrainId,
    method: 'get'
  })
}

// 新增继续教育培训计划
export function addTraining(data) {
  return request({
    url: '/jxjy/Training',
    method: 'post',
    data: data
  })
}

// 修改继续教育培训计划
export function updateTraining(data) {
  return request({
    url: '/jxjy/Training',
    method: 'put',
    data: data
  })
}

// 删除继续教育培训计划
export function delTraining(TrainId) {
  return request({
    url: '/jxjy/Training/' + TrainId,
    method: 'delete'
  })
}
